Skip to main content

Data Table Actions

https://api.app.wnology.io/applications/APPLICATION_ID/data-tables/DATA_TABLE_ID

Below are the various requests that can be performed against the Data Table resource, as well as the expected parameters and the potential responses.

Add Column​

Adds a new column to this data table

Method And Url​

POST https://api.app.wnology.io/applications/APPLICATION_ID/data-tables/DATA_TABLE_ID/column

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, dataTable.*, or dataTable.addColumn.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
DATA_TABLE_IDID associated with the data table575ed78e7ae143cd83dc4aab

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Data Table Column schema. For example, the following would be a valid body for this request:

{
"name": "myColumn3",
"dataType": "string",
"constraint": "optional",
"defaultValue": "aDefault"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"name":"myColumn3","dataType":"string","constraint":"optional","defaultValue":"aDefault"}' \
https://api.app.wnology.io/applications/APPLICATION_ID/data-tables/DATA_TABLE_ID/column

Successful Responses​

CodeTypeDescription
200Data TableUpdated data table information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if data table was not found

Delete​

Deletes a data table

Method And Url​

DELETE https://api.app.wnology.io/applications/APPLICATION_ID/data-tables/DATA_TABLE_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, dataTable.*, or dataTable.delete.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
DATA_TABLE_IDID associated with the data table575ed78e7ae143cd83dc4aab

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.app.wnology.io/applications/APPLICATION_ID/data-tables/DATA_TABLE_ID

Successful Responses​

CodeTypeDescription
200SuccessIf data table was successfully deleted

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if data table was not found

Get​

Retrieves information on a data table

Method And Url​

GET https://api.app.wnology.io/applications/APPLICATION_ID/data-tables/DATA_TABLE_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.cli, all.Application.read, all.Organization, all.Organization.read, all.User, all.User.cli, all.User.read, dataTable.*, or dataTable.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
DATA_TABLE_IDID associated with the data table575ed78e7ae143cd83dc4aab

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/data-tables/DATA_TABLE_ID

Successful Responses​

CodeTypeDescription
200Data TableData table information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if data table was not found

Patch​

Updates information about a data table

Method And Url​

PATCH https://api.app.wnology.io/applications/APPLICATION_ID/data-tables/DATA_TABLE_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, dataTable.*, or dataTable.patch.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
DATA_TABLE_IDID associated with the data table575ed78e7ae143cd83dc4aab

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Data Table Patch schema. For example, the following would be a valid body for this request:

{
"name": "My Updated Data Table"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"name":"My Updated Data Table"}' \
https://api.app.wnology.io/applications/APPLICATION_ID/data-tables/DATA_TABLE_ID

Successful Responses​

CodeTypeDescription
200Data TableUpdated data table information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if data table was not found

Remove Column​

Removes a column from this data table

Method And Url​

DELETE https://api.app.wnology.io/applications/APPLICATION_ID/data-tables/DATA_TABLE_ID/column

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, dataTable.*, or dataTable.removeColumn.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
DATA_TABLE_IDID associated with the data table575ed78e7ae143cd83dc4aab

Request Query Parameters​

NameRequiredDescriptionDefaultExample
columnNameYName of the column to removecolumnName=myColumnName

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.app.wnology.io/applications/APPLICATION_ID/data-tables/DATA_TABLE_ID/column?columnName=myColumnName

Successful Responses​

CodeTypeDescription
200Data TableUpdated data table information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if data table was not found

Schemas​

Data Table​

Schema for a single Data Table

Data Table Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 8 keys
      • ▶
        {} 2 keys
        • ▶
          {} 2 keys
          • ▶
            {} 2 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 3 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 3 keys

                  Data Table Example​

                  • ▶
                    {} 7 keys
                    • "596e6ce831761df4231708f1"
                    • "596e6ce831761df4231708f1"
                    • "575ec8687ae143cd83dc4a97"
                    • "2016-06-13T04:00:00.000Z"
                    • "2016-06-13T04:00:00.000Z"
                    • "My Data Table"
                    • ▶
                      [] 2 items

                    Data Table Column​

                    Schema for a single Data Table Column

                    Data Table Column Schema​

                    • ▶
                      {} 5 keys
                      • "http://json-schema.org/draft-07/schema#"
                      • "object"
                      • ▶
                        {} 4 keys
                        • ▶
                          {} 2 keys
                          • ▶
                            {} 2 keys
                            • ▶
                              {} 2 keys
                              • ▶
                                {} 1 key
                              • ▶
                                [] 3 items
                                • false

                              Data Table Column Example​

                              • ▶
                                {} 4 keys
                                • "myColumn3"
                                • "string"
                                • "optional"
                                • "aDefault"

                              Data Table Patch​

                              Schema for the body of a Data Table modification request

                              Data Table Patch Schema​

                              • ▶
                                {} 4 keys
                                • "http://json-schema.org/draft-07/schema#"
                                • "object"
                                • ▶
                                  {} 2 keys
                                  • ▶
                                    {} 3 keys
                                    • ▶
                                      {} 2 keys
                                    • false

                                  Data Table Patch Example​

                                  • ▶
                                    {} 1 key
                                    • "My Updated Data Table"

                                  Error​

                                  Schema for errors returned by the API

                                  Error Schema​

                                  • ▶
                                    {} 3 keys
                                    • "http://json-schema.org/draft-07/schema#"
                                    • "object"
                                    • ▶
                                      {} 2 keys
                                      • ▶
                                        {} 1 key
                                        • ▶
                                          {} 1 key

                                      Error Example​

                                      • ▶
                                        {} 2 keys
                                        • "NotFound"
                                        • "Application was not found"

                                      Success​

                                      Schema for reporting a successful operation

                                      Success Schema​

                                      • ▶
                                        {} 3 keys
                                        • "http://json-schema.org/draft-07/schema#"
                                        • "object"
                                        • ▶
                                          {} 1 key
                                          • ▶
                                            {} 2 keys

                                        Success Example​

                                        • ▶
                                          {} 1 key
                                          • true

                                        Was this page helpful?


                                        Still looking for help? You can also search the WEGnology Forums or submit your question there.